// pages/Hisorders/Hisorders.js
var BASEURL = require('../../utils/wxconstant.js')
var baseUrl = BASEURL.BaseUrl()
var baseutils = require('../../utils/baseUtils.js')
var netUtil = require('../../utils/network.js')
var pageSize = 1
var isregistered

Page({

  /**
   * 页面的初始数据
   */
  data: {

    // tab切换  
    currentTab: 0,
    clientHeight: '',

    /** 
      * 页面配置 
      */
    winWidth: 0,
    winHeight: 0,
    already:[],
    wait:[],
    fill:[],
    fromType:'1'
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this
    isregistered = wx.getStorageSync('isregistered')
    /** 
     * 获取系统信息 
     */
    wx.getSystemInfo({
      success: function (res) {
        that.setData({
          winWidth: res.windowWidth,
          winHeight: res.windowHeight,
          clientHeight: res.windowHeight
        });
      }
    })

    
  },
  getAllApproval:function(){
    var that = this
    var data = { 
      openid: wx.getStorageSync('openid'),
      pageCount: 20,
      pageSize: pageSize
    }
    var url = baseUrl + BASEURL.getUrl.getAllApproval
    netUtil.requestLoading(url, data, '正在加载数据...', 'GET', function (res) {
      if(res.data.success && res.data.data){
       if(pageSize == 1){
         that.setData({
           already: res.data.data.already,
           wait: res.data.data.wait,
           fill: res.data.data.fill
         })
       }else{
         that.setData({
           already: [...that.data.already, ...res.data.data.already],
           wait: [...that.data.wait, ...res.data.data.wait],
           fill: [...that.data.fill, ...res.data.data.fill]
         })
       }
      }
    }, function (res) {
      wx.showToast({
        title: '加载数据失败',
        icon: 'none',
        duration: 2000
      })
    })
  },
  ApprovaledClick:function(event){
    var itemdata = event.currentTarget.dataset.item
    var fromtype = event.currentTarget.dataset.fromtype
    console.log('event', event)
    wx.navigateTo({
      url: '../applyjoinapprovel/applyjoinapprovel' + '?getItemdata=' + JSON.stringify(itemdata) + '&getfromType=' + fromtype,
    })
  },
  /** 
   * 点击tab切换 
   */
  swichNav: function (e) {
    var that = this;
    // console.log('swichNav=', e)
    if (this.data.currentTab == e.target.dataset.current) {
      return false;
    } else {
      that.setData({
        currentTab: e.target.dataset.current
      })
    }
  },

  /** 
* 滑动切换tab 
*/
  bindChange: function (e) {
    var that = this;
    if (e.detail.source == 'touch') {
      that.setData({ currentTab: e.detail.current });
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    isregistered = wx.getStorageSync('isregistered')
    if (isregistered) {
      this.getAllApproval()
    } else {
      //   wx.showModal({
      //     title: '提示',
      //     content: '您当前尚未进行微信授权登录，是否立即前往?',
      //     success: function (res) {
      //       if (res.confirm) {
      //         wx.switchTab({
      //           url: '../mine/mine',
      //         })
      //       } else if (res.cancel) {
      //         return
      //       }
      //     }
      //   })
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    var that = this
    wx.showNavigationBarLoading() //在标题栏中显示加载
    pageSize = 1
    that.getAllApproval()
    //模拟加载
    setTimeout(function () {
      // complete
      wx.hideNavigationBarLoading() //完成停止加载
      wx.stopPullDownRefresh() //停止下拉刷新
    }, 500);
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    pageSize++;
    this.getAllApproval()
    wx.showNavigationBarLoading();
    var that = this;
    setTimeout(function () { wx.hideNavigationBarLoading() }, 2000);
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})